Skip to main content

Update wallet description

PUT https://wallet.paysera.com/rest/v1/wallet/{walletId}

Change description of an account for specific user

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
walletIdstring✓Wallet identifier

Request Body​

FieldTypeRequiredDescription
descriptionstring✓Description for the account

Example​

Request​

PUT https://wallet.paysera.com/rest/v1/wallet/{walletId}
Content-Type: application/json
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
{
"description": "My personal account"
}

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Body REQUIRED
{
"description": "My personal account"
}

RESPONSE

Description updated successfully
{}